Bug 1619274 - [RFE] Red Hat Satellite should now be able to discover and provision bare metal machines via UEFI HTTP boot
Summary: [RFE] Red Hat Satellite should now be able to discover and provision bare met...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Provisioning
Version: 6.3.2
Hardware: x86_64
OS: Linux
high
high vote
Target Milestone: 6.8.0
Assignee: Lukas Zapletal
QA Contact: Roman Plevka
URL:
Whiteboard:
: 1619291 (view as bug list)
Depends On: 1616395 1660098
Blocks: 1669648 1813311
TreeView+ depends on / blocked
 
Reported: 2018-08-20 13:37 UTC by Amaani S Karimi
Modified: 2021-09-09 15:26 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Full support for UEFI HTTP boot is now available in Satellite 6.8.
Clone Of:
Environment:
Last Closed: 2020-10-27 12:57:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 24622 0 Normal Closed UEFI HTTP PXE Loaders flags 2021-02-17 19:20:44 UTC
Foreman Issue Tracker 26261 0 Normal New Add supersede vendor-class-identifier when filename starts with http(s) 2021-02-17 19:20:44 UTC
Red Hat Issue Tracker SAT-5085 0 None None None 2021-09-09 15:26:15 UTC
Red Hat Knowledge Base (Solution) 3570191 0 None None None 2018-08-20 14:35:32 UTC
Red Hat Product Errata RHSA-2020:4366 0 None None None 2020-10-27 12:57:42 UTC

Comment 10 Jan Hutař 2019-02-28 12:25:19 UTC
Docs suggestion:

UEFI clients are capable of booting from HTTP or HTTPS if they are given a valid URL via DHCP filename option. Publishing required files is achieved with module which will publish tftp directory via http and https on /EFI endpoint for HTTP BOOT UEFI and /httpboot for generic http boot (iPXE) with the same content. Because we do lack installer support for this feature for now, few steps are needed to configure Satellite so it servers boot files over http:

1. Enable HTTPBoot plugin:
   In /etc/foreman-proxy/settings.d/httpboot.yml set ":enabled: true"
2. Restart services, so config change will take effect:
   # foreman-maintain service restart
3. In webUI refresh integrated capsules features with Infrastructure -> Capsules -> <satellite's capsule> -> Refresh features and make sure "HTTPBoot" is now listed in "Active features" there
4. Assign this HTTPBoot capsule to to the subnet(s): Infrastructure -> Subnets -> <subnet> -> Capsules and select the capsule and press "Submit"
5. Now when creating a host, on "Operating system" tab set "PXE Loader" to "Grub2 UEFI HTTP"

this will cause grub2 on provisioned machine to download "http://<httpboot_capsule>:9090/httpboot/grub2/grubx64.efi". That file is being served from "/var/lib/tftpboot/..." directory.

Comment 44 Lukas Zapletal 2019-03-20 09:20:30 UTC
*** Bug 1619291 has been marked as a duplicate of this bug. ***

Comment 45 Lukas Zapletal 2019-03-20 09:25:05 UTC
ORIGINAL REQUEST:

Implement UEFI HTTP Boot provisioning support for Satellite 6

CURRENT STATUS:

Ongoing. There is an upstream prototype but there are some major issues in grub2 at the moment and the feature does not work correctly. We are putting this feature back on backlog until changes are done on the RHEL side (grub2).

Comment 62 Lukas Zapletal 2020-05-26 09:26:55 UTC
I have tested this and it works with 6.8 snap 1:

https://community.theforeman.org/t/demo-foreman-2-1-http-uefi-provisioning-with-discovery-over-vlan-tagging/18931

This effectively tests both VLAN provisioning and UEFI HTTP Boot provisioning with discovery.

Comment 66 errata-xmlrpc 2020-10-27 12:57:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Satellite 6.8 release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4366


Note You need to log in before you can comment on or make changes to this bug.